Linux repositories inspector

libkpmcore7 - library for managing partitions

Library for managing partitions, used by the KDE Partition Manager and other projects.
This package contains the shared library for KPMCore
3.3.0
Debian iconDebian 10.0
KDE Neon iconKDE Neon User
OpenSUSE iconOpenSUSE Leap 15.0
OpenSUSE iconOpenSUSE Leap 15.1
OpenSUSE iconOpenSUSE Tumbleweed
Ubuntu iconUbuntu 18.04 LTS
Ubuntu iconUbuntu 18.10
Ubuntu iconUbuntu 19.04
Ubuntu iconUbuntu 19.10
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 10.0 buster/maindeb3.3.0-5Apr 10295 kiB1.19 MiB
KDE Neon iconKDE Neon User xenial/maindeb3.3.0-3+16.04+xenial+build13Jan 14475 kiB3.07 MiB
KDE Neon iconKDE Neon User xenial/maindeb3.3.0-3+16.04+xenial+build12Jan 14277 kiB1.08 MiB
OpenSUSE iconOpenSUSE Leap 15.0 ossrpm3.3.0-lp150.1.6Jan 17271 kiB988 kiBhttps://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.1 ossrpm3.3.0-lp151.3.1Mar 03271 kiB988 kiBhttps://bugs.opensuse.org
OpenSUSE iconOpenSUSE Tumbleweed ossrpm3.3.0-2.410:48238 kiB856 kiBhttps://bugs.opensuse.org
Ubuntu iconUbuntu 18.04 LTS bionic/universedeb3.3.0-2ubuntu12018-02-26285 kiB1.14 MiB
Ubuntu iconUbuntu 18.10 cosmic/universedeb3.3.0-3Jan 14293 kiB1.18 MiB
Ubuntu iconUbuntu 19.04 disco/universedeb3.3.0-5Jun 17292 kiB1.18 MiB
Ubuntu iconUbuntu 19.10 eoan/universedeb3.3.0-5Jun 17292 kiB1.18 MiB

Latest updates

OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Updated from 3.3.0-2.3 to 3.3.0-2.4

10:48
  • Use %license
Ubuntu 19.10 icon

Ubuntu 19.10 eoan/universe: Version 3.3.0-5 reintroduced

Jun 20
  • Use luks1 format only
Ubuntu 19.10 icon

Ubuntu 19.10 eoan/universe: Version 3.3.0-5 removed

Jun 20
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Updated from 3.3.0-2.1 to 3.3.0-2.3

Jun 17
  • Use %license
Ubuntu 19.10 icon

Ubuntu 19.10 eoan/universe: Version 3.3.0-5 introduced

Jun 17
  • Use luks1 format only
Ubuntu 19.04 icon

Ubuntu 19.04 disco-proposed/universe: Version 3.3.0-5 removed

Jun 17
Ubuntu 19.04 icon

Ubuntu 19.04 disco/universe: Updated from 3.3.0-4 to 3.3.0-5

Jun 17
  • Use luks1 format only
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 3.3.0-4 to 3.3.0-5

Apr 10
  • Use luks1 format only
Ubuntu 19.04 icon

Ubuntu 19.04 disco-proposed/universe: Version 3.3.0-5 introduced

Apr 08
  • Use luks1 format only
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 oss: Updated from 3.3.0-lp151.2.7 to 3.3.0-lp151.3.1

Mar 03
  • Use %license
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 oss: Updated from 3.3.0-lp151.2.6 to 3.3.0-lp151.2.7

Mar 01
  • Update to 3.3.0
    • some improvements for Btrfs, F2FS, NTFS file systems
    • first bits of new LUKS2 on-disk format support, now KDE Partition Manager can display LUKS2 labels. More LUKS2 work will follow in KPM 3.4.
    • There were changes in how LVM devices are detected which might be interesting if you use Calamares installer. In that case, you also need at least Calamares 3.1.8. Older versions will not compile against KPMcore 3.3.
    • KPMcore library now only depends on just three Tier 1 Frameworks (I18n, CoreAddons, WidgetsAddons) instead of Tier 3 (although, we will later require Tier 2 KAuth too)
  • Drop fix-build-with-older-parted.patch, it cannot be built on Leap 42 anymore anyway because it needs newer Qt5 and blkid
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Updated from 3.3.0-1.3 to 3.3.0-2.1

Feb 26
  • Use %license
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Updated from 3.3.0-1.2 to 3.3.0-1.3

Feb 03
  • Update to 3.3.0
    • some improvements for Btrfs, F2FS, NTFS file systems
    • first bits of new LUKS2 on-disk format support, now KDE Partition Manager can display LUKS2 labels. More LUKS2 work will follow in KPM 3.4.
    • There were changes in how LVM devices are detected which might be interesting if you use Calamares installer. In that case, you also need at least Calamares 3.1.8. Older versions will not compile against KPMcore 3.3.
    • KPMcore library now only depends on just three Tier 1 Frameworks (I18n, CoreAddons, WidgetsAddons) instead of Tier 3 (although, we will later require Tier 2 KAuth too)
  • Drop fix-build-with-older-parted.patch, it cannot be built on Leap 42 anymore anyway because it needs newer Qt5 and blkid
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 oss: Updated from 3.3.0-lp151.2.5 to 3.3.0-lp151.2.6

Jan 29
  • Update to 3.3.0
    • some improvements for Btrfs, F2FS, NTFS file systems
    • first bits of new LUKS2 on-disk format support, now KDE Partition Manager can display LUKS2 labels. More LUKS2 work will follow in KPM 3.4.
    • There were changes in how LVM devices are detected which might be interesting if you use Calamares installer. In that case, you also need at least Calamares 3.1.8. Older versions will not compile against KPMcore 3.3.
    • KPMcore library now only depends on just three Tier 1 Frameworks (I18n, CoreAddons, WidgetsAddons) instead of Tier 3 (although, we will later require Tier 2 KAuth too)
  • Drop fix-build-with-older-parted.patch, it cannot be built on Leap 42 anymore anyway because it needs newer Qt5 and blkid
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 oss: Version 3.3.0-lp151.2.5 introduced

Jan 23
  • Update to 3.3.0
    • some improvements for Btrfs, F2FS, NTFS file systems
    • first bits of new LUKS2 on-disk format support, now KDE Partition Manager can display LUKS2 labels. More LUKS2 work will follow in KPM 3.4.
    • There were changes in how LVM devices are detected which might be interesting if you use Calamares installer. In that case, you also need at least Calamares 3.1.8. Older versions will not compile against KPMcore 3.3.
    • KPMcore library now only depends on just three Tier 1 Frameworks (I18n, CoreAddons, WidgetsAddons) instead of Tier 3 (although, we will later require Tier 2 KAuth too)
  • Drop fix-build-with-older-parted.patch, it cannot be built on Leap 42 anymore anyway because it needs newer Qt5 and blkid
OpenSUSE Leap 15.0 icon

OpenSUSE Leap 15.0 oss: Version 3.3.0-lp150.1.6 introduced

Jan 17
  • Update to 3.3.0
    • some improvements for Btrfs, F2FS, NTFS file systems
    • first bits of new LUKS2 on-disk format support, now KDE Partition Manager can display LUKS2 labels. More LUKS2 work will follow in KPM 3.4.
    • There were changes in how LVM devices are detected which might be interesting if you use Calamares installer. In that case, you also need at least Calamares 3.1.8. Older versions will not compile against KPMcore 3.3.
    • KPMcore library now only depends on just three Tier 1 Frameworks (I18n, CoreAddons, WidgetsAddons) instead of Tier 3 (although, we will later require Tier 2 KAuth too)
  • Drop fix-build-with-older-parted.patch, it cannot be built on Leap 42 anymore anyway because it needs newer Qt5 and blkid
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Version 3.3.0-1.2 introduced

Jan 17
  • Update to 3.3.0
    • some improvements for Btrfs, F2FS, NTFS file systems
    • first bits of new LUKS2 on-disk format support, now KDE Partition Manager can display LUKS2 labels. More LUKS2 work will follow in KPM 3.4.
    • There were changes in how LVM devices are detected which might be interesting if you use Calamares installer. In that case, you also need at least Calamares 3.1.8. Older versions will not compile against KPMcore 3.3.
    • KPMcore library now only depends on just three Tier 1 Frameworks (I18n, CoreAddons, WidgetsAddons) instead of Tier 3 (although, we will later require Tier 2 KAuth too)
  • Drop fix-build-with-older-parted.patch, it cannot be built on Leap 42 anymore anyway because it needs newer Qt5 and blkid
Ubuntu 19.04 icon

Ubuntu 19.04 disco/universe: Version 3.3.0-4 introduced

Jan 14
  • Version bump (no changes)
KDE Neon User icon

KDE Neon User xenial/main: Updated from 3.3.0-0neon+16.04+xenial+build25 to 3.3.0-3+16.04+xenial+build13

Jan 14
  • Automatic CI Build
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic/universe: Version 3.3.0-3 introduced

Jan 14
  • Remove build-dependencies that are no longed needed
    • libkf5service-dev
    • libkf5iconthemes-dev
    • libkf5kio-de
  • Add upstream signing key
  • Add new required dependencies
    • libqca-qt5-2-plugins
  • Update standards version to 4.2.0
  • Update Vcs to salsa.debian.org

Related packages

libkpmcore7-dbgsym - Debug symbols for libkpmcore7
libkpmcore7-debuginfo - Debug information for package libkpmcore7
⇧ Top